Subject: bug#39936: How To Resolve "LC_ALL: cannot change locale (en_US.utf8)"

From: David Philipe Gil <[email-masked]>
Date: Wed, 11 Mar 2020 19:55:21 +0000

> On Thu, Mar 05, 2020 at 08:53:52PM +0000, David Philipe Gil via Bug reports for GNU Guix wrote:
> 

> > System: Ubuntu 18.04
> > Guix: 1.0.1
> > Whenever I "guix pull" I see the error "LC_ALL: cannot change locale (en_US.utf8)". I installed "glibc_utf8_locales" and it seems to have had no effect.
> > In my .profile I am pointing to "/home/username/.guix-profile/lib/locale". Am I missing something?
> > I have entered "hash guix" as well with no effect.
> 

> Is this on the Guix System, or another distro?
> 

> Did you check the instructions in the manual section 2.6.1 Locales?
> 

> It's likely this error is coming from the guix-daemon, so you'll need to
> make sure that GUIX_LOCPATH is set in the environment where the
> guix-daemon starts.
> 

> On most distros this happens in the systemd unit file with something
> like this line in the Service section:
> 

> Environment=GUIX_LOCPATH=/var/guix/profiles/per-user/root/guix-profile/lib/locale

I did read section 2.6.1 but i could not understand the implications of the stated info.

I used the guix install script to install the guix package manager onto trisquel, which is an ubuntu based distro.

i have been putting my environment variables in .profile and am not familiar with using systemd. would you provide more specific info for what exactly to do in steps as far as adding this guix locale support properly into my systemd setup?

this might be a good feature to add to future versions of the guix package manager installer script.

Thank you for your assistance :)